Bug 471480 - Review Request: sfxr - Sound effect generator
Review Request: sfxr - Sound effect generator
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-13 16:37 EST by Hans de Goede
Modified: 2008-11-17 03:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 03:57:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2008-11-13 16:37:22 EST
Spec URL: http://people.atrpms.net/~hdegoede/sfxr.spec
SRPM URL: http://people.atrpms.net/~hdegoede/sfxr-1.0-1.fc10.src.rpm
Description:
This little tool was made to provide a simple means of getting basic sound
effects into a game. You just need to hit a few buttons in this application
to get some largely randomized effects. All the parameters used to create
each sound are manually tweakable to allow fine-tuning if you feel like
getting your hands dirty.
Comment 1 Orcan Ogetbil 2008-11-13 19:02:19 EST
Hans, the spec link is broken.
Comment 2 manuel wolfshant 2008-11-13 19:07:25 EST
Would have been nice if the spec URL above would have been valid :)
Anyway, here we go, using only the src.rpm :

Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: MIT
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, c
ontaining the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: 9b511df1f39e99374063b89c78e7577d82c79ac2 sfxr-sdl.zip
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane:

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64, devel/i386
 [-] Package should compile and build into binary rpms on all supported architectures.
     Tested on:
 [!] Package functions as described.
Unable to test in this moment. The application does start and does not crash, but I have not been able to see any of the slides / buttons doing anything. Maybe because I am remote...
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.

=== Final Notes ===
1. Please try to push usptream your relevant patches. At least one of them seems to deal with an unitialized field in SDL.


================
*** APPROVED ***
================
Comment 3 manuel wolfshant 2008-11-13 19:15:12 EST
Sorry, I meant:

  [x] Scriptlets must be sane, if used.
  [?] Package functions as described.
Unable to test in this moment. The application does start and does not crash,
but I have not been able to see any of the slides / buttons doing anything.
Maybe because I am remote...
Comment 4 Hans de Goede 2008-11-14 03:50:44 EST
(In reply to comment #2)
> Would have been nice if the spec URL above would have been valid :)

Sorry.

> Anyway, here we go, using only the src.rpm :

Thanks!

> === Final Notes ===
> 1. Please try to push usptream your relevant patches. At least one of them
> seems to deal with an unitialized field in SDL.

I've been discussing my improvements with upstream and as upstream only does windows, I've prepared a new release for upstream, note this currently is a proposed new release, but I expect upstream to pick it up:
http://people.atrpms.net/~hdegoede/sfxr-sdl-1.1.tar.gz

Quoting from the ChangeLog:

sfxr-sdl-1.1
------------
* Various small improvements and 1 bugfix by Hans de Goede
  <hdegoede@redhat.com>:
 * Fix a small bug in the audio setup which could cause a quite noticable
   delay between pressing a button and hearing the sound
 * Add an icon and a .desktop file (applications menu entry)
 * Add a make install target, note:  hardcoded to /usr but it does understand
   the DESTDIR make parameter
Comment 5 Hans de Goede 2008-11-14 03:52:36 EST
New Package CVS Request
=======================
Package Name: sfxr
Short Description: Sound effect generator
Owners: jwrdegoede
Branches: F-9 F-10
InitialCC:
Comment 6 Kevin Fenzi 2008-11-16 15:30:40 EST
cvs done.
Comment 7 Hans de Goede 2008-11-17 03:57:58 EST
Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.